summaryrefslogtreecommitdiff
path: root/herbstluftwm/spmutt
diff options
context:
space:
mode:
Diffstat (limited to 'herbstluftwm/spmutt')
-rwxr-xr-xherbstluftwm/spmutt18
1 files changed, 18 insertions, 0 deletions
diff --git a/herbstluftwm/spmutt b/herbstluftwm/spmutt
new file mode 100755
index 0000000..510764e
--- /dev/null
+++ b/herbstluftwm/spmutt
@@ -0,0 +1,18 @@
+#!/bin/sh
+scratchpad=/tmp/herbstluftwm:spmutt
+if xdotool search --onlyvisible --classname 'spmutt'; then
+ if [ $(herbstclient list_monitors | grep '[FOCUS]' | cut -d\" -f2) = $(herbstclient attr clients.$(cat $scratchpad) | grep 's - - tag' | awk '{ print $6 }' | sed 's/"//g') ]; then
+ xdotool search -onlyvisible -classname 'spmutt' windowunmap
+ exit
+ fi
+fi
+if [ -f $scratchpad ]; then
+ if ! herbstclient bring $(cat $scratchpad); then
+ xdotool search -classname 'spmutt' windowmap && exit
+ fi
+fi
+if ! xdotool search --classname 'spmutt' windowmap; then
+ setsid -f st -t 'spmutt' -n 'spmutt' -- zsh -c neomutt
+ xdotool search -sync -onlyvisible -classname 'spmutt'
+ herbstclient attr clients.focus.winid > $scratchpad
+fi